Subject: bug#1646: 23.0.60; xim problom

From: Kanru Chen <[email-masked]>
Date: Mon, 02 Feb 2009 01:50:56 +0800

I recently encountered this problem, too. After some digging, I believe
the problem is missing fontset caused by recent xorg-xserver update.

If you are using xorg-xserver 1.6.0 RC version, then you are likely to
be hit by the same problem. According to the discussions[1], you can
either rebuild xserver with --disable-builtin-fonts or apply this
patch[2] and rebuild.

[1]: https://bugzilla.redhat.com/show_bug.cgi?id=478999
[2]: http://cgit.freedesktop.org/xorg/xserver/commit/?id=49b93df8a3002db7196aa3fc1fd8dca1c12a55d6

Although this is not actually an emacs bug, I would suggest that emacs
should be more verbose if it failed to initialize XIM.

               Kanru